/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the embedded classes of the Qt Toolkit.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about Qt Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include <qgfxdriverplugin_qws.h>
#include <qgfxshadowfb_qws.h>
#include <qstringlist.h>

class GfxShadowFbDriver : public QGfxDriverPlugin
{
public:
    GfxShadowFbDriver();

    QStringList keys() const;
    QScreen *create(const QString&, int displayId);
};

GfxShadowFbDriver::GfxShadowFbDriver()
: QGfxDriverPlugin()
{
}

QStringList GfxShadowFbDriver::keys() const
{
    QStringList list;
    list << "ShadowFb";
    return list;
}

QScreen* GfxShadowFbDriver::create(const QString& driver, int displayId)
{
    if (driver.toLower() == "shadowfb")
        return new QShadowFbScreen(displayId);

    return 0;
}

Q_EXPORT_PLUGIN(GfxShadowFbDriver)
